package io.xjar.dir;

import java.util.regex.Pattern;
import io.xjar.XEntryFilter;
import java.io.File;
import io.xjar.filter.XRegexEntryFilter;

public class XDirRegexEntryFilter extends XRegexEntryFilter<File> implements XEntryFilter<File>
{
    public XDirRegexEntryFilter(final String regex) {
        super(regex);
    }
    
    public XDirRegexEntryFilter(final Pattern pattern) {
        super(pattern);
    }
    
    protected String toText(final File entry) {
        return entry.getName();
    }
}
